.hidden{
  display: none;
}

.wrapper {
	margin-top: 80px;
	margin-bottom: 20px;
}

.form-signin {
  max-width: 420px;
  padding: 30px 38px;
  margin: 0 auto;
  background-color: #e9ecef;
  border: 3px dotted rgba(0,0,0,0.1);
  }

.form-signin-heading {
  text-align:center;
  margin-bottom: 30px;
}

.form-control {
  position: relative;
  font-size: 16px;
  height: auto;
  padding: 10px;
}

input[type="text"].form-control {
  margin-bottom: 0px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

input[type="password"].form-control {
  margin-bottom: 20px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

a.no-hover:hover {
  text-decoration: none;
}

.search-form select {
  width: 100%;
}

label.text-right {
  display: block;
}

input.right-align{
  float: right;
}

input {
  width: 100%;
}

input[type="checkbox"]{
  width: auto;
}

span.right-align{
  float: right;
}

/*#payment-report_wrapper,
#topup-report_wrapper,
#omx-report_wrapper {
  overflow-x: auto;
}*/

.table-wrapper {
  width: 100%;
  height: auto;
  overflow-x: auto;
}

.breadcrumb-item+.breadcrumb-item::before {
  color: white;
}

.dataTable {
  white-space: nowrap;
}

.form-check-inline,
.form-check-inline .form-check-input {
  margin-right: 0;
}

.nav-link.hide-after:after{
  /*display: none;*/
}

.loader-gif {
  display: none;
  /* mix-blend-mode: multiply; */
  width: 32px;
  height: 32px;
}

th.section_1 {
  background: rgba(0, 128, 0, 0.5);
}

th.section_2 {
  background: rgba(255, 255, 0, 0.5);
}

th.section_3 {
  background: rgba(0, 0, 255, 0.5);
}

th.section_4 {
  background: rgba(255, 255, 0, 0.5);
}

td.section_1 {
  background: rgba(0, 128, 0, 0.05);
}

td.section_2 {
  background: rgba(255, 255, 0, 0.05);
}

td.section_3 {
  background: rgba(0, 0, 255, 0.05);
}

td.section_4 {
  background: rgba(255, 255, 0, 0.05);
}

.cursorPointer {
  cursor: pointer
}

.card-body {
  padding: 2.25rem 1.25rem;
}

.card-body .fa {
  vertical-align: middle;
}

span.td-wrapper {
  overflow: hidden;
  text-overflow: ellipsis;
  width: 300px;
  height: auto;
  display: block;
}

button {
  cursor: pointer;
}

.loader-wrapper {
  position: fixed;
  z-index: 1032;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: none;
}

.loader-wrapper .loader-bg, .popup-bg {
  background: black;
  opacity: 0.3;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.loader-wrapper > img {
  position: absolute;
  width: 32px;
  height: 32px;
  top: 50%;
  left: 50%;
  margin-left: -16px;
  margin-top: -16px;
}

.popup {
  display: none;
  z-index: 1031;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 10% 20%;
}

.popup a {
  right: -10px;
  top: -10px;
  position: absolute;
  cursor: pointer;
}

.popup a img {
  width: 30px;
  height: 30px;
  background: white;
  -webkit-border-radius: 100px;
  -moz-border-radius: 100px;
  border-radius: 100px;
}

.popup-content {
  background: white;
  position: relative;
  width: 100%;
  height: 100%;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  border-radius: 10px;
  box-shadow: 2px 2px 30px;
}

.text-box {
  padding: 20px;
  height: 100%;
  overflow: auto;
}

.text-box p {
  margin: 10px 0 0 0;
}

.conv_arr {
  background: #8080801c;
  padding: 10px;
  margin: 10px;
  position: relative;
}
